sVio Struct Reference
Vio class

Contains public data members for Vio class. More...

`#include <vio.h>`

## Public Attributes

VIOtype | type
VIOfrmt | frmt
VIOrwkey | rwkey
char | file [VMAX_ARGLEN]
char | lhost [VMAX_ARGLEN]
char | rhost [VMAX_ARGLEN]
int | error
int | dirty
FILE * | fp
int | so
int | soc
void * | name
void * | axdr
char | whiteChars [VMAX_ARGNUM]
char | commChars [VMAX_ARGNUM]
char | ioBuffer [VMAX_BUFSIZE]
int | ioBufferLen
char | putBuffer [VMAX_BUFSIZE]
int | putBufferLen
char * | VIObuffer
int | VIObufferLen
int | VIObufferPtr

## Detailed Description

Contains public data members for Vio class.

Author
  Michael Holst

## Member Data Documentation

## axdr

void* sVio::axdr

ASC/XDR structure pointer (ASC,XDR)

## commChars

char sVio::commChars[VMAX_ARGNUM]

comment character set (ASC,XDR)

## dirty

int sVio::dirty

dirty read bit – have we read file yet (FILE)

## error

int sVio::error

note if any error has occurred on this vio device

## file

char sVio::file[VMAX_ARGLEN]

file or device name (FILE,BUFF,UNIX,INET)

## fp

FILE* sVio::fp

file pointer (SDIO,FILE)

## frmt

VIOfrmt sVio::frmt

data format. VIO_NO_FRMT = not initialized.
VIO_ASC = ASCII (FILE,BUFF,UNIX,INET). VIO_XDR = BINARY (FILE,BUFF,UNIX,INET).

## ioBuffer

char sVio::ioBuffer[VMAX_BUFSIZE]

I/O buffer (ASC,XDR)

## ioBufferLen

int sVio::ioBufferLen

I/O buffer length (ASC,XDR)

## lhost

char sVio::lhost[VMAX_ARGLEN]

local hostname (me) (UNIX,INET)

## name

void* sVio::name

&sockaddr_un or &sockaddr_in (UNIX,INET)

## putBuffer

char sVio::putBuffer[VMAX_BUFSIZE]

final write buffer (ASC,XDR)

## putBufferLen

int sVio::putBufferLen

final write buffer length (ASC,XDR)

## rhost

char sVio::rhost[VMAX_ARGLEN]

remote hostname (other guy) (UNIX,INET)

## rwkey

VIOrwkey sVio::rwkey

r/w key. VIO_NO_R = not initialized. VIO_R = read (FILE,BUFF,UNIX,INET) VIO_W = write (FILE,BUFF,UNIX,INET)

## so

int sVio::so

primary unix domain or inet socket (UNIX,INET)

## soc

int sVio::soc

subsocket created for socket reading (UNIX,INET)

## type

VIOtype sVio::type

file (or device) type.
VIO_NO_TYPE = not initialized. VIO_SDIO = standard I/O. VIO_FILE = file I/O.
VIO_BUFF = buffer I/O.
VIO_UNIX = UNIX (domain) socket I/O. VIO_INET = INET (network) socket I/O.

## VIObuffer

char* sVio::VIObuffer

(BUFF)

## VIObufferLen

int sVio::VIObufferLen

(BUFF)

## VIObufferPtr

int sVio::VIObufferPtr

(BUFF)

## whiteChars

char sVio::whiteChars[VMAX_ARGNUM]

white space character set (ASC)

The documentation for this struct was generated from the following file:

- vio.h